> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/tokenization/ja/implement-tokenization/card-tokenization-request/processing-the-decision/decision-engine/dtakdo.md).

# データ検証コード

データ検証コードは、イシュアが D1 がトークン化リクエストをどのように評価するかを分析するのに役立ちます。

D1 は、ペイメントネットワーク TSP およびイシュアから受信したデータを検証するときに、これらのコードを生成します。

### コードグループ

D1 は 2 つのコードグループを返します。

* **ウォレット理由コード** は、トークンリクエスタまたはウォレットプロバイダから提供された推奨コンテキストを示します。D1 は、これらの値をペイメントネットワーク TSP およびウォレットプロバイダ全体で正規化します。
* **検証コード** は、トークンリクエスタ、ペイメントネットワーク TSP、およびイシュアから提供されたデータに対して D1 が実行したチェックを示します。

### コードの参照先

これらのコードには、次の D1 API でアクセスできます。

* `カード運用の通知` アウトバウンドの [カード API](/tokenization/ja/integrate-the-d1-api/d1-api-reference/outbound-api-from-d1/card-api.md)
* `取得操作` インバウンドの [カード API](/tokenization/ja/integrate-the-d1-api/d1-api-reference/inbound-api-to-d1/card-api.md)

### DIGITIZE レスポンスフィールド

ある `DIGITIZE` 操作では、コードは次の `詳細` セクションに返されます。

* `digitizationInformation.digitizationChecks`
  * `.verificationCodes`
* `digitizationInformation.digitizationChecks`
  * `.digitalCardRequestorAssessment.reasonCodesRecommendationDescription`

### コード一覧

完全なコード一覧については、次のページを使用してください。

* [ウォレット理由コード](/tokenization/ja/implement-tokenization/card-tokenization-request/processing-the-decision/decision-engine/dtakdo/worettokdo.md)
* [検証コード](/tokenization/ja/implement-tokenization/card-tokenization-request/processing-the-decision/decision-engine/dtakdo/kdo.md)

{% hint style="warning" %}
D1 は、トークンリクエスタおよびペイメントネットワーク TSP からの更新に基づいて、これらのコードをいつでも追加、変更、または削除できます。

これらの値をシステムにハードコードしないでください。
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/tokenization/ja/implement-tokenization/card-tokenization-request/processing-the-decision/decision-engine/dtakdo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
